MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable Font support. To be added.
- Property
  0.0.0.0
  System.Int32 Returns the ascent of the font. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 Returns the cap height of the font. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGFont `` Data provider that wraps the font. Creates a font from a data provider. The constructed font.

  You can use this method to create CGFonts from an in-memory representation of the font (for example, to embed binary fonts into your application to prevent easy copying of licensed fonts, or when you fetch the font from a streaming source and do not want to store it on disk).

  `// // Load font into byte array from a file. // byte [] myBuffer = File.ReadAllBytes ("demo.ttf"); CGFont font = CGFont.CreateFromProvider (new CGDataProvider (myBuffer, 0, myBuffer.Count));`
- Method
  0.0.0.0
  MonoMac.CoreGraphics.CGFont `` To be added. Creates a new CGFont representing the specified PostScript or full name. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 Returns the descent of the font. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the CGFont object.

  The Dispose method releases the resources used by the CGFont class.

  Calling the Dispose method when you are finished using the CGFont ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CGFont object.

  This Dispose method releases the resources used by the CGFont class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CGFont ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void Finalizer for the CGFont object
- Property
  0.0.0.0
  System.Drawing.RectangleF Returns a rectangle specifing the bounding box of the font. To be added. To be added.
- Property
  0.0.0.0
  System.String Returns the full name of the font. To be added. To be added.
- Method
  0.0.0.0
  System.UInt16 `` To be added. Returns the glyph for the specified glyph name. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.